// Copyright (c) 2010 Andreas Faerber <andreas.faerber@web.de>
// All rights reserved. Distributed under the terms of the MIT License.

using System;
using System.Net;
using System.Net.Sockets;

class Test {
	static void Main() {
		TcpListener listener = new TcpListener(IPAddress.Any, 8888);
		listener.Start();
		while (true) {
			Console.Write("Listening...");
			TcpClient client = listener.AcceptTcpClient();
			Console.Write("connected to {0}, closing...", client.Client.RemoteEndPoint);
			client.Close();
			Console.WriteLine("done.");
		}
	}
}
